Set your reaction on a message
PUT /api/member/messages/{messageId}/reaction. Set your reaction on a message. Headless LMS Chats API reference.
For a participant of the chat. Replaces any reaction you already had and returns the new counts.
Path Parameters
messageId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/member/messages/string/reaction" \ -H "Content-Type: application/json" \ -d '{ "emoji": "string" }'{ "reactions": { "property1": -9007199254740991, "property2": -9007199254740991 }, "viewerReaction": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Withdraw your reaction from a message DELETE
DELETE /api/member/messages/{messageId}/reaction. Withdraw your reaction from a message. Headless LMS Chats API reference.
Flag a message for the moderators POST
POST /api/member/messages/{messageId}/flags. Flag a message for the moderators. Headless LMS Chats API reference.